@{
    ViewBag.Title = "Upload";
    Layout = "_Layout";
}

<h2 class="mb-3">Upload a file please ...</h2>

<form id="upload-form" enctype="multipart/form-data" method="post">
    <dl>
        <dt>
            <label for="upload-input" class="form-label">File</label>
        </dt>
        <dd>
            <input id="upload-input" type="file" name="file" class="form-control" />
        </dd>
    </dl>

    <button id="upload-button" class="btn btn-primary" type="button">Upload</button>

    <div class="mt-4">
        <output name="result"></output>
    </div>
</form>

<img id="uploaded-image" class="mt-4" src="" alt="The uploaded image will be shown here">

@section Scripts
{
    <script src="/js/upload.js" defer></script>
}
